Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.freemarker.template
Class TilesFMModelRepository

    java.lang.Object
      org.apache.tiles.freemarker.template.TilesFMModelRepository

    public class TilesFMModelRepository

extends java.lang.Object

Collects all Tiles FreeMarker directives to be used in an application.

Since:
  2.2.0
Version:
  $Rev: 765386 $ $Date: 2009-04-15 23:56:54 +0200 (mer, 15 apr 2009) $

Constructor Summary
`TilesFMModelRepository()` Constructor.

Method Summary
`AddAttributeFMModel` | `getAddAttribute()` Returns the "addAttribute" directive.
`AddListAttributeFMModel` | `getAddListAttribute()` Returns the "addListAttribute" directive.
`DefinitionFMModel` | `getDefinition()` Returns the "definition" directive.
`GetAsStringFMModel` | `getGetAsString()` Returns the "getAsString" directive.
`ImportAttributeFMModel` | `getImportAttribute()` Returns the "importAttribute" directive.
`InsertAttributeFMModel` | `getInsertAttribute()` Returns the "insertAttribute" directive.
`InsertDefinitionFMModel` | `getInsertDefinition()` Returns the "insertDefinition" directive.
`InsertTemplateFMModel` | `getInsertTemplate()` Returns the "insertTemplate" directive.
`PutAttributeFMModel` | `getPutAttribute()` Returns the "putAttribute" directive.
`PutListAttributeFMModel` | `getPutListAttribute()` Returns the "putListAttribute" directive.
`SetCurrentContainerFMModel` | `getSetCurrentContainer()` Returns the "setCurrentContainer" directive.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TilesFMModelRepository

    public TilesFMModelRepository()

  Constructor.

  Since:
    2.2.0

Method Detail

### getAddAttribute

    public AddAttributeFMModel getAddAttribute()

  Returns the "addAttribute" directive.

  Returns:
    The "addAttribute" directive.
  Since:
    2.2.0

### getAddListAttribute

    public AddListAttributeFMModel getAddListAttribute()

  Returns the "addListAttribute" directive.

  Returns:
    The "addListAttribute" directive.
  Since:
    2.2.0

### getDefinition

    public DefinitionFMModel getDefinition()

  Returns the "definition" directive.

  Returns:
    The "definition" directive.
  Since:
    2.2.0

### getGetAsString

    public GetAsStringFMModel getGetAsString()

  Returns the "getAsString" directive.

  Returns:
    The "getAsString" directive.
  Since:
    2.2.0

### getImportAttribute

    public ImportAttributeFMModel getImportAttribute()

  Returns the "importAttribute" directive.

  Returns:
    The "importAttribute" directive.
  Since:
    2.2.0

### getInsertAttribute

    public InsertAttributeFMModel getInsertAttribute()

  Returns the "insertAttribute" directive.

  Returns:
    The "insertAttribute" directive.
  Since:
    2.2.0

### getInsertDefinition

    public InsertDefinitionFMModel getInsertDefinition()

  Returns the "insertDefinition" directive.

  Returns:
    The "insertDefinition" directive.
  Since:
    2.2.0

### getInsertTemplate

    public InsertTemplateFMModel getInsertTemplate()

  Returns the "insertTemplate" directive.

  Returns:
    The "insertTemplate" directive.
  Since:
    2.2.0

### getPutAttribute

    public PutAttributeFMModel getPutAttribute()

  Returns the "putAttribute" directive.

  Returns:
    The "putAttribute" directive.
  Since:
    2.2.0

### getPutListAttribute

    public PutListAttributeFMModel getPutListAttribute()

  Returns the "putListAttribute" directive.

  Returns:
    The "putListAttribute" directive.
  Since:
    2.2.0

### getSetCurrentContainer

    public SetCurrentContainerFMModel getSetCurrentContainer()

  Returns the "setCurrentContainer" directive.

  Returns:
    The "setCurrentContainer" directive.
  Since:
    2.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.